IDN 3.0.4.6 und 3.0.5

Dieses Thema im Forum "Allgemein" wurde erstellt von ZooL, 19. Okt. 2012.

  1. ZooL

    ZooL Member

    Hallo Till und der rest,

    mir sind jetzt zwei sachen aufgefallen, ich kann in Version 3.0.4.6 keine punycode domain anlegen.
    Fehlermeldung:
    Zweites in der version 3.0.5 habe ich mit verfolgt das endlich die IDN class intigriert wurde und eigentlich im Verzeichnis
    ispconfig-3.0.5/interface/lib/classes/idn

    vorhanden sein sollte, oder liege ich da falsch ? :D

    Mfg
    ZooL
     
  2. Till

    Till Administrator

    Punicode domains funktionieren einwandfrei und die fehlermeldung besagt ja auch dass der domainname nicht eindeutig ist oder mit anderen worten, du hast die gleiche domsin bereits als webseite oder aliasdomain angelegt.

    Zu 3.0.5: das verzeichnis ist für idn triber vorgesehen, per default ist es leer. Du brauchst nur idn support per pecl in deinem php zu installieren um idn zu nutzen.
     
  3. ZooL

    ZooL Member

    Hallo Zusammen,
    ich danke für diese ausführliche Antwort, durch diese nicht aussagekräftige Fehlermeldung war mir nicht klar wo es hängt.
    Dann sage ich an der Stelle weiterso, hoffentlich gibt es dann zum ersten November die version 3.0.5

    Greetz

    ZooL
     
  4. HSorgYves

    HSorgYves New Member

    Ich habe unter Debian php5-idn installiert. zangerlé.lu wird aber fälschlicherweise in xn--zangerl-uja53c.lu übersetzt anstatt in xn--zangerl-hya.lu :-( Weiss jemand was da falsch ist?
     
  5. HSorgYves

    HSorgYves New Member

    Ich habe den Fehler gefunden ;-) Unter Debian muss man das Paket php5-intl installieren...
     

Diese Seite empfehlen